summaryrefslogtreecommitdiff
path: root/dev-python/pytest-cache
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [feature/flatten] <gitlab@liguros.net>2020-07-17 06:56:32 +0000
committerLiguros - Gitlab CI/CD [feature/flatten] <gitlab@liguros.net>2020-07-17 06:56:32 +0000
commitf3c4550fbbf32895d8a71b1df500c98d71208673 (patch)
tree051ed807cc08a33b25c63d0f4a44e36b9c60f70a /dev-python/pytest-cache
parentba872f10f8ac67e08d6c40c8ae1ae49c50ad72a9 (diff)
downloadbaldeagleos-repo-f3c4550fbbf32895d8a71b1df500c98d71208673.tar.gz
baldeagleos-repo-f3c4550fbbf32895d8a71b1df500c98d71208673.tar.xz
baldeagleos-repo-f3c4550fbbf32895d8a71b1df500c98d71208673.zip
Updating liguros repo
Diffstat (limited to 'dev-python/pytest-cache')
-rw-r--r--dev-python/pytest-cache/pytest-cache-1.0-r3.ebuild32
1 files changed, 32 insertions, 0 deletions
diff --git a/dev-python/pytest-cache/pytest-cache-1.0-r3.ebuild b/dev-python/pytest-cache/pytest-cache-1.0-r3.ebuild
new file mode 100644
index 000000000000..32f786371d38
--- /dev/null
+++ b/dev-python/pytest-cache/pytest-cache-1.0-r3.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7,8,9} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="mechanisms for caching across test runs"
+HOMEPAGE="https://pypi.org/project/pytest-cache/
+ https://bitbucket.org/hpk42/pytest-cache/
+ https://pythonhosted.org/pytest-cache/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+SLOT="0"
+LICENSE="MIT"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
+IUSE="test"
+
+RDEPEND="dev-python/execnet[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? ( dev-python/pytest[${PYTHON_USEDEP}] )
+ "
+
+# https://bitbucket.org/hpk42/pytest-cache/issues/12
+RESTRICT=test
+
+python_test() {
+ PYTEST_PLUGINS="pytest_cache" py.test -v -v || die
+}